Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# flowProtocol Namespace Reference

## Compounds
struct | credit
struct | fragment
struct | frame
struct | frameHeader
struct | sequencedFrame
struct | specialFrame
struct | Start
struct | StartReply
## Typedefs
typedef sequence< char > | my_seq_char
typedef sequence< unsigned long > | my_seq_ulong
typedef unsigned long | frameID
## Enumerations
enum | MsgType { Start_Msg, EndofStream_Msg, SimpleFrame_Msg, SequencedFrame_Msg, Frame_Msg, SpecialFrame_Msg, StartReply_Msg, Credit_Msg, Fragment_Msg }

## Typedef Documentation

typedef unsigned long flowProtocol::frameID

typedef sequence<char> flowProtocol::my_seq_char

typedef sequence<unsigned long> flowProtocol::my_seq_ulong

## Enumeration Type Documentation

enum flowProtocol::MsgType

  | Enumeration values:
  Start_Msg |
  EndofStream_Msg |
  SimpleFrame_Msg |
  SequencedFrame_Msg |
  Frame_Msg |
  SpecialFrame_Msg |
  StartReply_Msg |
  Credit_Msg |
  Fragment_Msg |